# Application dependencies

require:
    - play:
          exclude:
              - org.hibernate -> hibernate-core
              - org.postgresql -> *
              - org.javassist -> *
    - org.postgresql -> postgresql 42.1.4:
          force: true
    - org.geotools -> gt-geojson 14.3
    - org.geotools -> gt-shapefile 14.3
    - org.geotools -> gt-wfs 14.3
    - org.geotools -> gt-epsg-hsql 14.3
    - org.hibernate -> hibernate-spatial 5.2.13.Final
    - play -> pdf 0.9
    - com.itextpdf -> itextpdf 5.5.10
    - org.geotools -> gt-shapefile 14.3
    - com.google.zxing -> core 3.2.1
    - com.google.zxing -> javase 2.2
    - com.vividsolutions -> jts 1.13
    - log4j -> apache-log4j-extras 1.2.17
    - net.sf.flexjson -> flexjson 2.1
    - org.mockito -> mockito-all 1.9.5
    - com.nimbusds -> nimbus-jose-jwt 3.9.2
    - org.junit -> com.springsource.org.junit 4.7.0
    - br.ufla.lemaf -> InterfaceTramitacao 0.3.5-SNAPSHOT
    - org.apache.tika -> tika-core 1.7
    - com.google.guava -> guava 27.0.1-jre
    - br.com.caelum.stella -> caelum-stella-bean-validation 2.0.4
    - br.ufla.lemaf -> cadastro-unificado-oauth-client 2.1.15
    - com.github.junrar -> junrar 0.7
    - br.ufla -> tmsmap 0.1.6:
          exclude:
              - org.geotools -> gt-api
              - org.geotools -> gt-main
              - org.geotools -> gt-referencing

repositories:

    - Nexus Lemaf:
          type: iBiblio
          root: "http://repo.ti.lemaf.ufla.br/repository/public"
          contains:
              - br.ufla.lemaf -> *
              - org.eclipse.emf -> *
              - org.eclipse.xsd -> *
              - org.apache.xml -> *
              - org.apache.tika -> *
              - org.junit -> *
              - org.hibernatespatial -> *
              - org.hibernate -> *
              - org.postgis -> *
              - javax.media -> *
              - jgridshift -> *
              - net.sf.flexjson -> *
              - log4j -> *
              - play -> *
              - org.mockito -> *
              - br.ufla -> *
              - java3d -> *
              - it.geosolutions.imageio-ext -> *
              - com.google.zxing -> *
              - br.ufla.lemaf -> *
              - org.geotools -> *
              - it.geosolutions.* -> *
              - it.geosolutions.*.* -> *
              - org.geotools.xsd -> *
              - org.geotools.ogc -> *

    - BOUNDLESSGEO:
          type: iBiblio
          root: "https://repo.boundlessgeo.com/main/"
          contains:
              - org.geotools.* -> *
              - it.geosolutions.* -> *
              - it.geosolutions.*.* -> *
